from PIL import Image
import os
import os.path

size = (3200, 3200)

for f in os.listdir("."):
    if f.endswith('.jpg') or f.endswith('.png')  or f.endswith('.jpeg') or f.endswith('.JPG') or f.endswith('.PNG') or f.endswith('.JPEG'):
        i = Image.open(f)
        fn, fext = os.path.splitext(f)
        
        i.thumbnail(size,Image.LANCZOS)
        i_jpg = i.convert('RGB')
        i_jpg.save('fullsize/{}.jpg'.format(fn))
        
        os.remove('{}{}'.format(fn, fext))